/*
 * FactorOracleAutomaton.cpp
 *
 *  Created on: Jan 8, 2017
 *      Author: Jan Travnicek
 */

#include "FactorOracleAutomaton.h"

#include <registration/CastRegistration.hpp>
#include <registration/ValuePrinterRegistration.hpp>
#include <registration/XmlRegistration.hpp>

namespace {

static auto DFAFromOracleAutomaton = registration::CastRegister < automaton::DFA < DefaultSymbolType, unsigned >, indexes::stringology::FactorOracleAutomaton < > > ( );

static auto valuePrinter = registration::ValuePrinterRegister < indexes::stringology::FactorOracleAutomaton < > > ( );

static auto xmlWrite = registration::XmlWriterRegister < indexes::stringology::FactorOracleAutomaton < > > ( );
static auto xmlRead = registration::XmlReaderRegister < indexes::stringology::FactorOracleAutomaton < > > ( );

static auto xmlGroup = registration::XmlRegisterTypeInGroup < object::Object, indexes::stringology::FactorOracleAutomaton < > > ( );

} /* namespace */
